Index: pjproject/branches/split-3rd-party/pjmedia/build/pjmedia.dsp
===================================================================
--- pjproject/branches/split-3rd-party/pjmedia/build/pjmedia.dsp	(revision 1165)
+++ pjproject/branches/split-3rd-party/pjmedia/build/pjmedia.dsp	(revision 1166)
@@ -41,6 +41,7 @@
 # PROP Intermediate_Dir ".\output\pjmedia-i386-win32-vc6-release"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /MD /W4 /GX /Zi /O2 /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /I "../src/pjmedia/portaudio" /I "../src/pjmedia-codec" /I "../../pjnath/include" /D "NDEBUG" /D "PA_NO_ASIO" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /c
+# ADD CPP /nologo /MD /W4 /GX /Zi /O2 /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /I "../src/pjmedia/portaudio" /I "../src/pjmedia-codec" /I "../../pjnath/include" /I "..\..\split-3rd-party\third_party\portaudio\src\common" /D "NDEBUG" /D "PA_NO_ASIO" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /c
 # SUBTRACT CPP /YX
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
@@ -65,6 +66,7 @@
 # PROP Intermediate_Dir ".\output\pjmedia-i386-win32-vc6-debug"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /MTd /W4 /Gm /GX /ZI /Od /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /I "../src/pjmedia/portaudio" /I "../src/pjmedia-codec" /I "../../pjnath/include" /D "_DEBUG" /D "PA_NO_ASIO" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /GZ /c
+# ADD CPP /nologo /MTd /W4 /Gm /GX /ZI /Od /I "../include" /I "../../pjlib/include" /I "../../pjlib-util/include" /I "../src/pjmedia/portaudio" /I "../src/pjmedia-codec" /I "../../pjnath/include" /I "..\..\split-3rd-party\third_party\portaudio\src\common" /D "_DEBUG" /D "PA_NO_ASIO" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /FR /FD /GZ /c
 # SUBTRACT CPP /YX
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
@@ -428,143 +430,4 @@
 # End Source File
 # End Group
-# Begin Group "PortAudio Files"
-
-# PROP Default_Filter ""
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\dsound_wrapper.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\dsound_wrapper.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_allocation.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_allocation.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_converters.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_converters.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_cpuload.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_cpuload.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_dither.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_dither.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_endianness.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_front.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_hostapi.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_process.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_process.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_skeleton.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_stream.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_stream.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_trace.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_trace.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_types.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_util.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_win_ds.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_win_hostapis.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_win_util.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_win_wmme.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_win_wmme.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_x86_plain_converters.c
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\pa_x86_plain_converters.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\src\pjmedia\portaudio\portaudio.h
-# End Source File
-# End Group
 # Begin Group "Resample Files"
 
Index: pjproject/branches/split-3rd-party/pjmedia/build/pjmedia_codec.dsp
===================================================================
--- pjproject/branches/split-3rd-party/pjmedia/build/pjmedia_codec.dsp	(revision 1165)
+++ pjproject/branches/split-3rd-party/pjmedia/build/pjmedia_codec.dsp	(revision 1166)
@@ -41,4 +41,5 @@
 # PROP Intermediate_Dir ".\output\pjmedia-codec-i386-win32-vc6-release"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
 # ADD CPP /nologo /MD /W4 /Zi /O2 /I "../include" /I "../../pjlib/include" /I "../src/pjmedia-codec" /D "NDEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /D "HAVE_CONFIG_H" /FR /FD /c
@@ -65,4 +66,5 @@
 # PROP Intermediate_Dir ".\output\pjmedia-codec-i386-win32-vc6-debug"
 # PROP Target_Dir ""
+F90=df.exe
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
 # ADD CPP /nologo /MTd /W4 /Gm /ZI /Od /I "../include" /I "../../pjlib/include" /I "../src/pjmedia-codec" /D "_DEBUG" /D "WIN32" /D "_MBCS" /D "_LIB" /D PJ_WIN32=1 /D PJ_M_I386=1 /D "HAVE_CONFIG_H" /FR /FD /GZ /c
@@ -270,414 +272,4 @@
 # End Source File
 # End Group
-# Begin Group "Speex Codec"
-
-# PROP Default_Filter ""
-# Begin Group "Speex Header Files"
-
-# PROP Default_Filter ""
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\_kiss_fft_guts.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\arch.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\cb_search.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\cb_search_arm4.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\cb_search_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\cb_search_sse.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\config.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fftwrap.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filterbank.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filters.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filters_arm4.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filters_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filters_sse.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fixed_arm4.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fixed_arm5e.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fixed_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fixed_debug.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fixed_generic.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\kiss_fft.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\kiss_fftr.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lpc.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lpc_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lsp.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\ltp.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\ltp_arm4.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\ltp_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\ltp_sse.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\math_approx.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\misc.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\misc_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\modes.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\nb_celp.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\pseudofloat.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\quant_lsp.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\sb_celp.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\smallft.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_bits.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_callbacks.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_echo.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_header.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_jitter.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_preprocess.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_stereo.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_types.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\stack_alloc.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vbr.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vq.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vq_arm4.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vq_bfin.h"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vq_sse.h"
-# End Source File
-# End Group
-# Begin Group "Speex Source Files"
-
-# PROP Default_Filter ""
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\bits.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\cb_search.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_10_16_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_10_32_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_20_32_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_5_256_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_5_64_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\exc_8_128_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\fftwrap.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filterbank.c"
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\filters.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\gain_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\gain_table_lbr.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\hexc_10_32_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\hexc_table.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\high_lsp_tables.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\jitter.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\kiss_fft.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\kiss_fftr.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lpc_spx.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lsp.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\lsp_tables_nb.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\ltp.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\math_approx.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\mdf.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\misc.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\modes.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\nb_celp.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\preprocess_spx.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\quant_lsp.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\sb_celp.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\smallft.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_callbacks.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\speex_header.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\stereo.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vbr.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\vq.c"
-# ADD CPP /W3
-# End Source File
-# Begin Source File
-
-SOURCE="..\src\pjmedia-codec\speex\window.c"
-# ADD CPP /W3
-# End Source File
-# End Group
-# End Group
 # Begin Group "iLBC Codec"
 
Index: pjproject/branches/split-3rd-party/pjproject.dsw
===================================================================
--- pjproject/branches/split-3rd-party/pjproject.dsw	(revision 1165)
+++ pjproject/branches/split-3rd-party/pjproject.dsw	(revision 1166)
@@ -4,17 +4,29 @@
 ###############################################################################
 
-Project: "pjlib"=.\pjlib\build\pjlib.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjlib_test"=.\pjlib\build\pjlib_test.dsp - Package Owner=<4>
+Project: "libspeex"=".\third_party\speex\win32\libspeex\libspeex.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjlib"=".\pjlib\build\pjlib.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjlib_test"=".\pjlib\build\pjlib_test.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -61,65 +73,65 @@
 ###############################################################################
 
-Project: "pjmedia"=.\pjmedia\build\pjmedia.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjmedia_codec"=.\pjmedia\build\pjmedia_codec.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjnath"=.\pjnath\build\pjnath.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjsip_core"=.\pjsip\build\pjsip_core.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjsip_simple"=.\pjsip\build\pjsip_simple.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "pjsip_ua"=.\pjsip\build\pjsip_ua.dsp - Package Owner=<4>
+Project: "pjmedia"=".\pjmedia\build\pjmedia.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjmedia_codec"=".\pjmedia\build\pjmedia_codec.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjnath"=".\pjnath\build\pjnath.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjsip_core"=".\pjsip\build\pjsip_core.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjsip_simple"=".\pjsip\build\pjsip_simple.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+}}}
+
+###############################################################################
+
+Project: "pjsip_ua"=".\pjsip\build\pjsip_ua.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -172,5 +184,5 @@
 ###############################################################################
 
-Project: "pjsua_lib"=.\pjsip\build\pjsua_lib.dsp - Package Owner=<4>
+Project: "pjsua_lib"=".\pjsip\build\pjsua_lib.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -256,5 +268,5 @@
 ###############################################################################
 
-Project: "test_pjsip"=.\pjsip\build\test_pjsip.dsp - Package Owner=<4>
+Project: "test_pjsip"=".\pjsip\build\test_pjsip.dsp" - Package Owner=<4>
 
 Package=<5>