Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/Makefile.in
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/Makefile.in	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/Makefile.in	(revision 1181)
@@ -0,0 +1,140 @@
+# @configure_input@
+include ../../../build.mak
+include ../../../build/common.mak
+
+export LIBDIR := ../../lib
+
+RULES_MAK := ../../build/rules.mak
+
+export PORTAUDIO_LIB:=../../lib/libportaudio-$(TARGET_NAME)$(LIBEXT)
+
+PORTAUDIO_OBJS := pa_allocation.o \
+		  pa_converters.o \
+		  pa_cpuload.o \
+		  pa_dither.o \
+		  pa_front.o \
+		  pa_process.o \
+		  pa_skeleton.o \
+		  pa_stream.o \
+		  pa_trace.o
+
+
+# Define the desired sound device backend
+# Valid values are:
+#   - pa_unix:	    	PortAudio on Unix (OSS or ALSA)
+#   - pa_darwinos:  	PortAudio on MacOSX (CoreAudio)
+#   - pa_old_darwinos:  PortAudio on MacOSX (old CoreAudio, for OSX 10.2)
+#   - pa_win32:	    	PortAudio on Win32 (WMME)
+#
+# There are other values below, but these are handled by PJMEDIA's Makefile
+#   - ds:	    	Win32 DirectSound (dsound.c)
+#   - null:	    	Null sound device (nullsound.c)
+AC_PJMEDIA_SND=@ac_pjmedia_snd@
+
+# For Unix, specify if ALSA should be supported
+AC_PA_USE_ALSA=@ac_pa_use_alsa@
+
+# Additional PortAudio CFLAGS are in @ac_pa_cflags@
+
+
+#
+# PortAudio on Unix
+#
+ifeq ($(AC_PJMEDIA_SND),pa_unix)
+# Host APIs and utils
+export PORTAUDIO_OBJS += pa_unix_hostapis.o pa_unix_util.o
+
+# Include ALSA?
+ifeq ($(AC_PA_USE_ALSA),1)
+export CFLAGS += -DPA_USE_ALSA=1
+export PORTAUDIO_OBJS += pa_linux_alsa.o
+endif
+
+export CFLAGS += -DPA_USE_OSS=1
+export PORTAUDIO_OBJS += pa_unix_oss.o
+endif
+
+
+#
+# PortAudio on MacOS X (using current PortAudio)
+#
+ifeq ($(AC_PJMEDIA_SND),pa_darwinos)
+export PORTAUDIO_OBJS +=pa_mac_hostapis.o \
+			pa_unix_util.o \
+			pa_mac_core.o \
+			pa_mac_core_blocking.o \
+			pa_mac_core_utilities.o \
+			pa_ringbuffer.o
+export CFLAGS += -DPA_USE_COREAUDIO=1
+export CFLAGS += @ac_pa_cflags@
+endif
+
+#
+# PortAudio on MacOS X (using old PortAudio, for MacOS X 10.2.x)
+#
+ifeq ($(AC_PJMEDIA_SND),pa_old_darwinos)
+export PORTAUDIO_OBJS +=pa_mac_hostapis.o \
+			pa_unix_util.o \
+			pa_mac_core_old.o 
+export CFLAGS += -DPA_USE_COREAUDIO=1
+export CFLAGS += @ac_pa_cflags@
+endif
+
+#
+#
+# PortAudio on Win32 (WMME)
+#
+ifeq ($(AC_PJMEDIA_SND),pa_win32)
+export PORTAUDIO_OBJS += pa_win_hostapis.o pa_win_util.o \
+		       pa_win_wmme.o
+export CFLAGS += -DPA_NO_ASIO -DPA_NO_DS
+endif
+
+
+###############################################################################
+# Gather all flags.
+#
+export _CFLAGS 	:= $(CC_CFLAGS) $(OS_CFLAGS) $(HOST_CFLAGS) $(M_CFLAGS) \
+		   $(CFLAGS) $(CC_INC). $(CC_INC)src \
+export _CXXFLAGS:= $(_CFLAGS) $(CC_CXXFLAGS) $(OS_CXXFLAGS) $(M_CXXFLAGS) \
+		   $(HOST_CXXFLAGS) $(CXXFLAGS)
+export _LDFLAGS := $(CC_LDFLAGS) $(OS_LDFLAGS) $(M_LDFLAGS) $(HOST_LDFLAGS) \
+		   $(LDFLAGS) 
+
+###############################################################################
+# Defines for building PORTAUDIO library
+#
+export PORTAUDIO_SRCDIR = src
+export PORTAUDIO_OBJS += 
+export PORTAUDIO_CFLAGS += $(_CFLAGS)
+
+export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 
+###############################################################################
+# Main entry
+#
+# $(TARGET) is defined in os-$(OS_NAME).mak file in current directory.
+#
+TARGETS := libportaudio
+
+all: $(TARGETS)
+
+dep: depend
+distclean: realclean
+
+.PHONY: dep depend libportaudio clean realclean distclean
+
+libportaudio:
+	$(MAKE) -f $(RULES_MAK) APP=PORTAUDIO app=libportaudio $(PORTAUDIO_LIB)
+
+clean:
+	$(MAKE) -f $(RULES_MAK) APP=PORTAUDIO app=libportaudio $@
+
+realclean:
+	$(subst @@,$(subst /,$(HOST_PSEP),.libportaudio-$(TARGET_NAME).depend),$(HOST_RMR))
+	
+	$(MAKE) -f $(RULES_MAK) APP=PORTAUDIO app=libportaudio $@
+
+depend:
+	$(MAKE) -f $(RULES_MAK) APP=PORTAUDIO app=libportaudio $@
+	echo '$(PORTAUDIO_LIB): .libportaudio-$(TARGET_NAME).depend' >> .libportaudio-$(TARGET_NAME).depend; \
+
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_allocation.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_allocation.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_allocation.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_converters.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_converters.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_converters.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_cpuload.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_cpuload.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_cpuload.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_debugprint.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_debugprint.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_debugprint.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_dither.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_dither.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_dither.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_endianness.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_endianness.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_endianness.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_endianness.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_front.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_front.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_front.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_front.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_hostapi.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_hostapi.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_hostapi.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_hostapi.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_linux_alsa.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_linux_alsa.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_linux_alsa.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/alsa/pa_linux_alsa.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_blocking.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_internal.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_internal.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_internal.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_internal.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_old.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_old.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_old.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_old.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_core_utilities.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_hostapis.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_hostapis.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_mac_hostapis.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/mac_osx/pa_mac_hostapis.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_process.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_process.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_process.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_ringbuffer.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_ringbuffer.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_ringbuffer.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_skeleton.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_skeleton.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_skeleton.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_skeleton.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_stream.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_stream.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_stream.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_trace.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_trace.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_trace.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_types.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_types.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_types.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_types.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_hostapis.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_hostapis.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_hostapis.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/unix/pa_unix_hostapis.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_oss.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_oss.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_oss.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/oss/pa_unix_oss.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/unix/pa_unix_util.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_unix_util.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/unix/pa_unix_util.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_util.h
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_util.h	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_util.h	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/common/pa_util.h
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_hostapis.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_hostapis.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_hostapis.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/win/pa_win_hostapis.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_util.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_util.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_util.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/os/win/pa_win_util.c
Index: pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_wmme.c
===================================================================
--- pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_wmme.c	(revision 1181)
+++ pjproject/branches/split-3rd-party/third_party/build/portaudio/src/pa_win_wmme.c	(revision 1181)
@@ -0,0 +1,1 @@
+link ../../../portaudio/src/hostapi/wmme/pa_win_wmme.c